Subject: Re: Is anyone using the C67x00 USB Host ?

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 09 Dec 2008 15:22:29 -0500

Peter Korsgaard wrote:
>>>>>> "David" == David H Lynch <[email-masked]> writes:
>>>>>>             
>
> Hi,
>
>  David> 	I am having two problems with it.
>  David> 	I can not get it working with interrupts,
>
> No activity on the interrupt pin or is it always active?
>   
Neither:
The USB system does not function with interrupts, and the kernel reports
lots of unhandled IRQ's.

I beleive that
int_status = c67x00_ll_hpi_status(c67x00);
if (!int_status)
return IRQ_NONE;

is always exiting IRQ_NONE;

If I replace the request_irq() call with installation of a timer service
routine that basically periodically calls the interrupt handler,
everything works fine - albeit slowly.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein